Package twisted :: Package protocols :: Module smtp :: Class ESMTP |
[frames | no frames]

## Class ESMTP

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
            TimeoutMixin --+
                           |
                        SMTP --+
                               |
                              ESMTP

Known Subclasses:
  `DomainESMTP`

Method Summary
| `__init__(self, chal, contextFactory)`
| `authenticate(self, challenger)`
| ``connectionMade`(self)` Called when a connection is made.
| `do_EHLO(self, rest)`
| `ext_AUTH(self, rest)`
| `ext_STARTTLS(self, rest)`
| `extensions(self)`
| `listExtensions(self)`
| `lookupMethod(self, command)`
| `state_AUTH(self, rest)`
Inherited from SMTP
| ``_cbAuthenticated`(self, (iface, avatar, logout))`
| ``_cbFromValidate`(self, from_, code, msg)`
| ``_cbToValidate`(self, to, user, code, msg)`
| ``_ebAuthenticated`(self, reason)`
| ``_ebFromValidate`(self, failure)`
| ``_ebToValidate`(self, failure)`
| ``_fromInvalid`(self, from_, code, msg)` For compatibility
| ``_messageHandled`(self, _)`
| ``_messageNotHandled`(self, failure)`
| ``_toInvalid`(self, to, code, msg)` For compatibility
| ``connectionLost`(self, reason)`
| ``dataLineReceived`(self, line)`
| ``do_DATA`(self, rest)`
| ``do_HELO`(self, rest)`
| ``do_MAIL`(self, rest)`
| ``do_QUIT`(self, rest)`
| ``do_RCPT`(self, rest)`
| ``do_RSET`(self, rest)`
| ``do_UNKNOWN`(self, rest)`
| ``greeting`(self)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Throw away rest of long line
| ``sendCode`(self, code, message)` Send an SMTP code with a message.
| ``startMessage`(self, recipients)`
| ``state_COMMAND`(self, line)`
| ``state_DATA`(self, line)`
| ``timeoutConnection`(self)` Called when the connection times out.
`Deferred` or `Address` | ``validateFrom`(self, helo, origin)` Validate the address from which the message originates.
no-argument callable | ``validateTo`(self, user)` Validate the address for which the message is destined.
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from TimeoutMixin
| ``resetTimeout`(self)` Reset the timeout count down
| ``setTimeout`(self, period)` Change the timeout period

Class Variable Summary
`int` | `authenticated` = 0
`int` | `canStartTLS` = 0
`NoneType` | `ctx` = None
`int` | `startedTLS` = 0
Inherited from SMTP
`NoneType` | `_onLogout` = None
`NoneType` | `delivery` = None
`str` | `host` = `'pyramid.twistedmatrix.com'`
`SRE_Pattern` | `mail_re` = `\s*FROM:\s*(<>|<("[^"]*"|\\.|[-A-Za-z0-9!#\$%&...`
`NoneType` | `portal` = None
`str` | `qstring` = `'("[^"]*"|\\\\.|[-A-Za-z0-9!\\#$%&\'*+/=?^_`{|...`
`SRE_Pattern` | `rcpt_re` = `\s*TO:\s*(<("[^"]*"|\\.|[-A-Za-z0-9!#\$%&'\*\+...`
`int` | `timeout` = 600
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None
Inherited from TimeoutMixin
`NoneType` | `_TimeoutMixin__lastReceived` = None
`NoneType` | `_TimeoutMixin__timeoutCall` = None
`NoneType` | `timeOut`: The number of seconds after which to timeout the connection.

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.protocols.smtp.SMTP.connectionMade` (inherited documentation)

Class Variable Details

    ### authenticated Type: `int` Value:
        0

    ### canStartTLS Type: `int` Value:
        0

    ### ctx Type: `NoneType` Value:
        None

    ### startedTLS Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net